## edu.stanford.nlp.tagger.maxent
Class Dictionary

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.Dictionary

    public class Dictionary

extends Object

Maintains a map from words to tags and their counts.

Author:
  Kristina Toutanova

Constructor Summary
`Dictionary()`

Method Summary
`protected void` `add(String word, String tag)`
`protected void` `addVThatTaking(String verb)`
`protected edu.stanford.nlp.tagger.maxent.TagCount` `get(String word)`
`protected int` `getAmbClass(String word)`
`protected int` `getCount(String word, String tag)`
`protected int` `getCountIn(String verb)`
`protected int` `getCountPart(String verb)`
`protected int` `getCountRB(String verb)`
`protected int` `getCountThat(String verb)`
`protected String[]` `getTags(String word)`
`static void` `main(String[] args)`
`protected void` `read(DataInputStream file)`
`protected void` `read(String filename)`
`protected void` `setAmbClasses(AmbiguityClasses ambClasses, int veryCommonWordThresh, TTags ttags)` This makes ambiguity classes from all words in the dictionary and remembers their classes in the TagCounts
`protected int` `sum(String word)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dictionary

    public Dictionary()

Method Detail

### add

    protected void add(String word,
                       String tag)

### addVThatTaking

    protected void addVThatTaking(String verb)

### getCountPart

    protected int getCountPart(String verb)

### getCountThat

    protected int getCountThat(String verb)

### getCountIn

    protected int getCountIn(String verb)

### getCountRB

    protected int getCountRB(String verb)

### getCount

    protected int getCount(String word,
                           String tag)

### getTags

    protected String[] getTags(String word)

### get

    protected edu.stanford.nlp.tagger.maxent.TagCount get(String word)

### sum

    protected int sum(String word)

### read

    protected void read(String filename)

### read

    protected void read(DataInputStream file)

### setAmbClasses

    protected void setAmbClasses(AmbiguityClasses ambClasses,
                                 int veryCommonWordThresh,
                                 TTags ttags)

  This makes ambiguity classes from all words in the dictionary and remembers their classes in the TagCounts

### getAmbClass

    protected int getAmbClass(String word)

### main

    public static void main(String[] args)

Stanford NLP Group